---
title: "willhaben API: Details | Perceptlayer"
description: "Details from willhaben as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/willhaben/details
---

[APIs](https://perceptlayer.com/apis) / [willhaben](https://perceptlayer.com/apis/willhaben) / Details

# willhaben: Details

Details from willhaben as JSON. 1 credit per successful call.

GET `/v1/willhaben/details`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `adId` | integer | Required | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/willhaben/details" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/willhaben?try=details#playground) with your own parameters. 1 credit per successful call; failed calls are free.
